LINUX.ORG.RU

opera-beta обновляется

 , , ,


0

1

и работает - все хорошо. Но каждый раз при установке/обновлении/удалении чего нибудь вылетает ошибка:

Настраивается пакет opera-beta (27.0.1689.44) …
gpg: ресурс блока `/etc/apt/trusted.gpg.d/xorg-edgers-ppa.gpg': нехватка ресурсов
dpkg: error processing package opera-beta (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 opera-beta
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ошибка при установке пакета. Попытка восстановления:
Настраивается пакет opera-beta (27.0.1689.44) …
gpg: ресурс блока `/etc/apt/trusted.gpg.d/xorg-edgers-ppa.gpg': нехватка ресурсов
dpkg: error processing package opera-beta (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 opera-beta
Если удалить пакет opera-beta - все нормально становится. В работе вроде никак не проявляется, но неприятно.

Вот например просто при обновлении из консоли полный вывод:

> sudo apt-get upgrade 
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений…Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  compiz-plugins faenza-cupertino lib32z1 libaudcore1 libcublas5.5
  libcudart5.5 libcufft5.5 libcufftw5.5 libcuinj64-5.5 libcurand5.5
  libcusparse5.5 libechonest2.1 libftgl2 libjs-prototype libjs-scriptaculous
  libllvm3.4:i386 libmowgli2 libnppc5.5 libnppi5.5 libnpps5.5 libnvtoolsext1
  libnvvm2 libprojectm2 libqt4-gui libqtmultimediakit1 libquazip0 libqxt-core0
  libqxt-gui0 libtagc0 libthrust-dev libvdpau-dev
  linux-image-3.13.0-35-generic linux-image-extra-3.13.0-35-generic
  nvidia-cuda-dev nvidia-cuda-doc nvidia-cuda-gdb nvidia-profiler
  nvidia-visual-profiler opencl-headers realpath ttf-dejavu-core
  wine-gecko2.24 wine-gecko2.24:i386 wine-mono4.5.2 xautomation
Для их удаления используйте «apt-get autoremove».
Пакеты, которые будут обновлены:
  coreutils
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
Необходимо скачать 1 089 kБ архивов.
После данной операции, объём занятого дискового пространства уменьшится на 4 096 B.
Хотите продолжить? [Д/н] 
Получено:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main coreutils amd64 8.21-1ubuntu5.1 [1 089 kB]
Получено 1 089 kБ за 3с (318 kБ/c)       
(Чтение базы данных … на данный момент установлено 706837 файлов и каталогов.)
Preparing to unpack …/coreutils_8.21-1ubuntu5.1_amd64.deb ...
Unpacking coreutils (8.21-1ubuntu5.1) over (8.21-1ubuntu5) ...
Processing triggers for install-info (5.2.0.dfsg.1-2) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Настраивается пакет coreutils (8.21-1ubuntu5.1) …
Настраивается пакет opera-beta (27.0.1689.44) …
gpg: ресурс блока `/etc/apt/trusted.gpg.d/xorg-edgers-ppa.gpg': нехватка ресурсов
dpkg: error processing package opera-beta (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 opera-beta
E: Sub-process /usr/bin/dpkg returned an error code (1)

Попробуйте запустить APT с LC_ALL=C, чтобы полученную ошибку было удобнее гуглить.

AITap ★★★★★ ()
Ответ на: комментарий от AITap

Что-то ничего дельного так и не нагуглил.

Причем совершенно неясно как опера влияет на ключ xorg-edgers и к тому же на ноуте нет такой ошибке, хотя та же опера из тех же реп, и те же репы xorg-edgers тоже подключены...

Setting up opera-beta (27.0.1689.44) ...
gpg: keyblock resource `/etc/apt/trusted.gpg.d/xorg-edgers-ppa.gpg': resource limit
dpkg: error processing package opera-beta (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up libcurl3-gnutls:amd64 (7.35.0-1ubuntu2.3) ...
Setting up clementine (1.2.3-961-g7f52793~trusty) ...
Setting up gloobus-preview (0.4.5-ubuntu11~ppa335-14.04+1) ...
Setting up libgtk-3-bin (3.10.8-0ubuntu1.4) ...
Setting up libgtk-3-doc (3.10.8-0ubuntu1.4) ...
Processing triggers for libc-bin (2.19-0ubuntu6.5) ...
/sbin/ldconfig.real: /usr/lib/joxi/libbz2.so.1.0 is not a symbolic link

Errors were encountered while processing:
 opera-beta
E: Sub-process /usr/bin/dpkg returned an error code (1)

Suntechnic ★★★★★ ()

Удалил бы ты лучше это проприетарное Г куда П.

FIL ★★★★ ()

люди, ставящие что-то кроме основного репозитория, должны страдать ;)

odii ()
Ответ на: комментарий от Suntechnic

Это баг, в gpg есть ограничение на количество хранилищ ключей. См. https://bugs.launchpad.net/ubuntu/ source/apt/ bug/1263540 и https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=733028.

В новых версиях apt-key пытается склеить между собой хранилища, чтобы не нарываться на лимит. Вам может понадобиться руками удалить пустые хранилища из-под уже удалённых ключей.

AITap ★★★★★ ()
Ответ на: комментарий от AITap

Спасибо!

Ручное удаление пары старых ключей из /etc/apt/trusted.gpg.d решило проблему.

Suntechnic ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.